scala.tools.nsc.Global

# inlineExceptionHandlers

#### object inlineExceptionHandlers extends InlineExceptionHandlers

Source
  Global.scala

Linear Supertypes
InlineExceptionHandlers, SubComponent, AnyRef, Any
Ordering

1. Alphabetic
2. By inheritance

Inherited

1. inlineExceptionHandlers
2. InlineExceptionHandlers
3. SubComponent
4. AnyRef
5. Any

1. Hide All
2. Show all

Learn more about member selection
Visibility

1. Public
2. All

### Type Members

1. #### class InlineExceptionHandlersPhase extends Global.icodes.ICodePhase

   Inlining Exception Handlers

   Inlining Exception Handlers

   Definition Classes
     InlineExceptionHandlers

2. #### abstract class StdPhase extends GlobalPhase

   A standard phase template

   A standard phase template

   Definition Classes
     SubComponent

### Value Members

1. #### final def !=(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

2. #### final def ##(): Int

   Definition Classes
     AnyRef → Any

3. #### final def ==(arg0: Any): Boolean

   Definition Classes
     AnyRef → Any

4. #### final def afterOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

5. #### final def asInstanceOf[T0]: T0

   Definition Classes
     Any

6. #### final def beforeOwnPhase[T](op: ⇒ T): T

   Definition Classes
     SubComponent
   Annotations
     @inline()

7. #### def clone(): AnyRef

   Attributes
     protected[java.lang]
   Definition Classes
     AnyRef
   Annotations
     @throws( ... )

8. #### def enabled: Boolean

   Is this component enabled? Default is true.

   Is this component enabled? Default is true.

   Definition Classes
     InlineExceptionHandlers → SubComponent

9. #### final def eq(arg0: AnyRef): Boolean

   Definition Classes
     AnyRef

10. #### def equals(arg0: Any): Boolean

    Definition Classes
      AnyRef → Any

11. #### def finalize(): Unit

    Attributes
      protected[java.lang]
    Definition Classes
      AnyRef
    Annotations
      @throws( classOf[java.lang.Throwable] )

12. #### final def getClass(): Class[_]

    Definition Classes
      AnyRef → Any

13. #### val global: Global.this.type

    The global environment; overridden by instantiation in Global.

    The global environment; overridden by instantiation in Global.

    Definition Classes
      inlineExceptionHandlers → SubComponent

14. #### def hashCode(): Int

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    SubComponent are added to a HashSet and two phases are the same if they have the same name

    Definition Classes
      SubComponent → AnyRef → Any

15. #### val initial: Boolean

    True if this phase runs before all other phases.

    True if this phase runs before all other phases. Usually, `parser`.

    Definition Classes
      SubComponent

16. #### val internal: Boolean

    True if this phase is not provided by a plug-in.

    True if this phase is not provided by a plug-in.

    Definition Classes
      SubComponent

17. #### final def isInstanceOf[T0]: Boolean

    Definition Classes
      Any

18. #### final def ne(arg0: AnyRef): Boolean

    Definition Classes
      AnyRef

19. #### def newPhase(p: Phase): InlineExceptionHandlersPhase

    Create a new phase

    Create a new phase

    Definition Classes
      InlineExceptionHandlers → SubComponent

20. #### final def notify(): Unit

    Definition Classes
      AnyRef

21. #### final def notifyAll(): Unit

    Definition Classes
      AnyRef

22. #### def ownPhase: Phase

    The phase corresponding to this subcomponent in the current compiler run

    The phase corresponding to this subcomponent in the current compiler run

    Definition Classes
      SubComponent

23. #### val phaseName: String

    The name of the phase

    The name of the phase

    Definition Classes
      InlineExceptionHandlers → SubComponent

24. #### def phaseNewFlags: Long

    New flags defined by the phase which are not valid before

    New flags defined by the phase which are not valid before

    Definition Classes
      SubComponent

25. #### def phaseNextFlags: Long

    New flags defined by the phase which are not valid until immediately after it

    New flags defined by the phase which are not valid until immediately after it

    Definition Classes
      SubComponent

26. #### val requires: List[String]

    Names of phases required by this component.

    Names of phases required by this component. Default is `Nil`.

    Definition Classes
      SubComponent

27. #### val runsAfter: collection.immutable.List[String]

    Names of phases that must run before this phase.

    Names of phases that must run before this phase.

    Definition Classes
      inlineExceptionHandlers → SubComponent

28. #### val runsBefore: List[String]

    Names of phases that must run after this phase.

    Names of phases that must run after this phase. Default is `Nil`.

    Definition Classes
      SubComponent

29. #### val runsRightAfter: None.type

    Name of the phase that this phase must follow immediately.

    Name of the phase that this phase must follow immediately.

    Definition Classes
      inlineExceptionHandlers → SubComponent

30. #### final def synchronized[T0](arg0: ⇒ T0): T0

    Definition Classes
      AnyRef

31. #### val terminal: Boolean

    True if this phase runs after all other phases.

    True if this phase runs after all other phases. Usually, `terminal`.

    Definition Classes
      SubComponent

32. #### def toString(): String

    Definition Classes
      AnyRef → Any

33. #### final def wait(): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

34. #### final def wait(arg0: Long, arg1: Int): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

35. #### final def wait(arg0: Long): Unit

    Definition Classes
      AnyRef
    Annotations
      @throws( ... )

### Inherited from InlineExceptionHandlers

### Inherited from SubComponent

### Inherited from AnyRef

### Inherited from Any

### Ungrouped